// Xmitter.cpp: implementation of the CXmitter class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include <afxtempl.h>
#include "crobot.h"
#include "crobotinternet.h"
#include "HotOffThePress.h"
#include "DeviceIDDlg.h"
#include "SouceDlg.h"
#include "TimeTickerDlg.h"
#include "NewzDlg.h"
#include "FinancialDlg.h"
#include "AlertsDlg.h"
#include "UpdatesDlg.h"
#include "NoDeviceDlg.h"
#include "Ports.h"
#include "Device.h"
#include "DevicesDlg.h"
#include "Xmitter.h"

#define VERSIONNO 1

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

IMPLEMENT_SERIAL( CXmitter, CDevice, VERSIONNO );

CXmitter::CXmitter()
{
	// Propeties
	m_DeviceName = "Transmitter";
	m_DeviceType = DT_XMITTER;

}

CXmitter::~CXmitter()
{

}


void CXmitter::AddPages()
{
	// Add property pages to PropSheet
	CDevicesDlg* pDlg = ((CHotOffThePressApp*)AfxGetApp())->m_pDevicesDlg;
	pDlg->AddPage( &m_PortsDlg );
}

void CXmitter::RemovePages()
{
	// Add property pages to PropSheet
	CDevicesDlg* pDlg = ((CHotOffThePressApp*)AfxGetApp())->m_pDevicesDlg;
	pDlg->RemovePage( &m_PortsDlg );
}

// Serialization
void CXmitter::Serialize(CArchive &ar)
{
	CObject::Serialize( ar );

	if (ar.IsStoring())
	{
		// Nothing to archive
	}
	else
	{
		// Nothing to archive
	}

}
