// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__73DE8F28_C70F_11D5_AD6F_444553540000__INCLUDED_)
#define AFX_MAINFRM_H__73DE8F28_C70F_11D5_AD6F_444553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChildView.h"
#include "trayicon.h"

class CMainFrame : public CFrameWnd
{
	
public:
	CMainFrame();
protected: 
	DECLARE_DYNAMIC(CMainFrame)

// Attributes
protected:
	CTrayIcon	m_TrayIcon;
	BOOL		m_bShutDown;
	CTime		m_LastWebUpdate;
	long		m_Message;
	bool		m_InTimerLoop;

public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	CChildView    m_wndView;

	void OnPreferences();
	void OnPreferencesUpdate(CCmdUI* pCmdUI) ;
	void OnAboutUpdate(CCmdUI* pCmdUI) ;
	void OnExitUpdate(CCmdUI* pCmdUI) ;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg void OnSetFocus(CWnd *pOldWnd);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG

	afx_msg LRESULT OnTrayNotify( WPARAM wp, LPARAM lp );

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__73DE8F28_C70F_11D5_AD6F_444553540000__INCLUDED_)
